commit:     0d265120515b68695cf2d3b2b3a8b7fe6f15806d
Author:     Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Mon May 14 18:26:23 2018 +0000
Commit:     José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Mon May 14 18:26:51 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0d265120

dev-lisp/cmucl: Bump version from lisp overlay

Closes: https://bugs.gentoo.org/655700
Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-lisp/cmucl/cmucl-21c.ebuild                    |  18 ++--
 dev-lisp/cmucl/files/cmucl-21c-build.patch         |  22 ++++
 .../cmucl/files/cmucl-21c-execstack-fixes.patch    | 118 +++++++++++++++++++++
 3 files changed, 149 insertions(+), 9 deletions(-)

diff --git a/dev-lisp/cmucl/cmucl-21c.ebuild b/dev-lisp/cmucl/cmucl-21c.ebuild
index d626b8677e9..e2175b108c1 100644
--- a/dev-lisp/cmucl/cmucl-21c.ebuild
+++ b/dev-lisp/cmucl/cmucl-21c.ebuild
@@ -1,7 +1,8 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
+
 inherit eutils toolchain-funcs multilib
 
 MY_PV=${PV:0:3}
@@ -28,18 +29,17 @@ S="${WORKDIR}"
 TARGET=linux-4
 
 src_prepare() {
-       eapply "${FILESDIR}"/${MY_PV}-execstack-fixes.patch
-       eapply 
"${FILESDIR}"/${MY_PV}-customize-lisp-implementation-version.patch
-       eapply "${FILESDIR}"/${MY_PV}-build.patch
+       eapply "${FILESDIR}"/${P}-execstack-fixes.patch
+       eapply "${FILESDIR}"/${P}-build.patch
        eapply_user
-       cp "${FILESDIR}"/os-common.h src/lisp/ || die
+       #cp "${FILESDIR}"/os-common.h src/lisp/ || die
        cp /usr/share/common-lisp/source/asdf/build/asdf.lisp src/contrib/asdf/ 
|| die
 }
 
 src_compile() {
        local cmuopts buildimage
 
-       if use X; then
+       if use X ; then
                cmuopts=""
        else
                cmuopts="-u"
@@ -61,7 +61,7 @@ src_compile() {
 (compile-file "modules:defsystem/defsystem")
 EOF
 
-       # documentation
+       # Documentation
        if use doc; then
                pushd src/docs/cmu-user > /dev/null || die "directory 
src/docs/cmu-user does not exist"
                emake
@@ -86,7 +86,7 @@ src_install() {
        if use source; then
                # Necessary otherwise tar will fail
                dodir /usr/share/common-lisp/source/${PN}
-               cd "${D}"/usr/share/common-lisp/source/${PN}
+               cd "${D}"/usr/share/common-lisp/source/${PN} || die
                tar --strip-components 1 -xzpf 
"${WORKDIR}"/cmucl-src-${MY_PV}.tar.gz \
                        || die "Cannot install sources"
        fi
@@ -100,7 +100,7 @@ src_install() {
        insinto /etc/common-lisp
        doins "${FILESDIR}"/cmuclrc || die "Failed to install cmuclrc"
 
-       # documentation
+       # Documentation
        dodoc doc/cmucl/README
        if use doc; then
                insinto /usr/share/doc/${PF}

diff --git a/dev-lisp/cmucl/files/cmucl-21c-build.patch 
b/dev-lisp/cmucl/files/cmucl-21c-build.patch
new file mode 100644
index 00000000000..4d7e4061c92
--- /dev/null
+++ b/dev-lisp/cmucl/files/cmucl-21c-build.patch
@@ -0,0 +1,22 @@
+diff -r -U2 21a.orig/bin/build.sh 21a/bin/build.sh
+--- 21a.orig/bin/build.sh      2015-05-19 07:42:40.000000000 +0600
++++ 21a/bin/build.sh   2016-04-03 20:54:08.597016537 +0600
+@@ -40,5 +40,5 @@
+ ENABLE4="yes"
+ 
+-version=21b
++version=21c
+ SRCDIR=src
+ BINDIR=bin
+@@ -145,10 +145,9 @@
+       $TOOLDIR/load-world.sh $TARGET "$VERSION" || { echo "Failed: 
$TOOLDIR/load-world.sh"; exit 1; }
+ 
+-      $TARGET/lisp/lisp -batch -noinit -nositeinit $FPU_MODE < /dev/null || { 
echo "Failed: $TARGET/lisp/lisp -batch -noinit $FPU_MODE"; exit 1; }
++      $TARGET/lisp/lisp -batch -noinit -nositeinit < /dev/null || { echo 
"Failed: $TARGET/lisp/lisp -batch -noinit"; exit 1; }
+       return 0;
+     fi
+ }
+ 
+-FPU_MODE=
+ BUILDWORLD="$TOOLDIR/build-world.sh"
+ BUILD_POT="yes"

diff --git a/dev-lisp/cmucl/files/cmucl-21c-execstack-fixes.patch 
b/dev-lisp/cmucl/files/cmucl-21c-execstack-fixes.patch
new file mode 100644
index 00000000000..034848d64a2
--- /dev/null
+++ b/dev-lisp/cmucl/files/cmucl-21c-execstack-fixes.patch
@@ -0,0 +1,118 @@
+diff -Naur work.old/src/lisp/alpha-assem.S work/src/lisp/alpha-assem.S
+--- work.old/src/lisp/alpha-assem.S    2003-03-06 11:13:09.000000000 -0300
++++ work/src/lisp/alpha-assem.S        2010-05-10 00:06:34.000000000 -0300
+@@ -297,3 +297,7 @@
+ function_end_breakpoint_end:
+ 
+ 
++
++#if defined(__linux__) && defined(__ELF__)
++.section .note.GNU-stack,"",%progbits
++#endif
+diff -Naur work.old/src/lisp/amd64-assem.S work/src/lisp/amd64-assem.S
+--- work.old/src/lisp/amd64-assem.S    2004-07-27 19:03:53.000000000 -0300
++++ work/src/lisp/amd64-assem.S        2010-05-10 00:06:34.000000000 -0300
+@@ -1051,3 +1051,7 @@
+       .end
+ 
+ #endif /* LINKAGE_TABLE */
++
++#if defined(__linux__) && defined(__ELF__)
++.section .note.GNU-stack,"",%progbits
++#endif
+diff -Naur work.old/src/lisp/backtrace.c work/src/lisp/backtrace.c
+--- work.old/src/lisp/backtrace.c      2009-06-11 13:04:01.000000000 -0300
++++ work/src/lisp/backtrace.c  2010-05-10 00:06:22.000000000 -0300
+@@ -3,6 +3,8 @@
+  * Simple backtrace facility.  More or less from Rob's lisp version.
+  */
+ 
++#include "os-common.h"
++
+ #include <stdio.h>
+ #include <signal.h>
+ #include "lisp.h"
+diff -Naur work.old/src/lisp/hppa-assem.S work/src/lisp/hppa-assem.S
+--- work.old/src/lisp/hppa-assem.S     2002-08-23 14:05:35.000000000 -0300
++++ work/src/lisp/hppa-assem.S 2010-05-10 00:06:34.000000000 -0300
+@@ -460,3 +460,7 @@
+ 
+       .export function_end_breakpoint_end
+ function_end_breakpoint_end
++
++#if defined(__linux__) && defined(__ELF__)
++.section .note.GNU-stack,"",%progbits
++#endif
+diff -Naur work.old/src/lisp/linux-stubs.S work/src/lisp/linux-stubs.S
+--- work.old/src/lisp/linux-stubs.S    2005-08-17 00:40:16.000000000 -0300
++++ work/src/lisp/linux-stubs.S        2010-05-10 00:06:34.000000000 -0300
+@@ -995,3 +995,7 @@
+ /*  doe(yperr_string) */
+ /*  doe(ypprot_err) */
+ #endif /* defined(LINKAGE_TABLE) && !defined(__FreeBSD__) */
++
++#if defined(__linux__) && defined(__ELF__)
++.section .note.GNU-stack,"",%progbits
++#endif
+diff -Naur work.old/src/lisp/lisp.c work/src/lisp/lisp.c
+--- work.old/src/lisp/lisp.c   2009-07-13 16:41:54.000000000 -0300
++++ work/src/lisp/lisp.c       2010-05-10 00:05:55.000000000 -0300
+@@ -5,6 +5,9 @@
+  *
+  */
+ 
++#include "os-common.h"
++#include <time.h>
++
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <limits.h>
+diff -Naur work.old/src/lisp/mips-assem.S work/src/lisp/mips-assem.S
+--- work.old/src/lisp/mips-assem.S     2002-08-23 14:01:02.000000000 -0300
++++ work/src/lisp/mips-assem.S 2010-05-10 00:06:34.000000000 -0300
+@@ -402,3 +402,7 @@
+       move    v0, a1
+       j       _restore_state
+       .end    save_state
++
++#if defined(__linux__) && defined(__ELF__)
++.section .note.GNU-stack,"",%progbits
++#endif
+diff -Naur work.old/src/lisp/os-common.h work/src/lisp/os-common.h
+--- work.old/src/lisp/os-common.h      1969-12-31 21:00:00.000000000 -0300
++++ work/src/lisp/os-common.h  2010-05-10 00:06:22.000000000 -0300
+@@ -0,0 +1 @@
++char* convert_lisp_string(char *c_string, void *lisp_string, int len);
+diff -Naur work.old/src/lisp/ppc-assem.S work/src/lisp/ppc-assem.S
+--- work.old/src/lisp/ppc-assem.S      2006-02-25 01:35:58.000000000 -0300
++++ work/src/lisp/ppc-assem.S  2010-05-10 00:06:34.000000000 -0300
+@@ -721,3 +721,7 @@
+       SET_SIZE(fpu_restore)
+       
+ #endif
++
++#if defined(__linux__) && defined(__ELF__)
++.section .note.GNU-stack,"",%progbits
++#endif
+diff -Naur work.old/src/lisp/sparc-assem.S work/src/lisp/sparc-assem.S
+--- work.old/src/lisp/sparc-assem.S    2003-10-23 23:57:00.000000000 -0300
++++ work/src/lisp/sparc-assem.S        2010-05-10 00:06:34.000000000 -0300
+@@ -837,3 +837,7 @@
+  * End:
+  */                                           
+               
++
++#if defined(__linux__) && defined(__ELF__)
++.section .note.GNU-stack,"",%progbits
++#endif
+diff -Naur work.old/src/lisp/x86-assem.S work/src/lisp/x86-assem.S
+--- work.old/src/lisp/x86-assem.S      2008-12-24 02:36:40.000000000 -0200
++++ work/src/lisp/x86-assem.S  2010-05-10 00:06:34.000000000 -0300
+@@ -798,3 +798,7 @@
+ ENDFUNC(undefined_foreign_symbol_trap)
+ 
+ #endif /* LINKAGE_TABLE */
++
++#if defined(__linux__) && defined(__ELF__)
++.section .note.GNU-stack,"",%progbits
++#endif

Reply via email to